Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Parâmetros do cabeçalho
Foundry-Features
enum
obrigatório
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
obrigatório
Name of the model.
version
string
obrigatório
Version of the model.
Corpo do Pedido
The credential request request body.
blobUri
string
obrigatório
Blob URI of the model asset to fetch credentials for.
Respostas
The request has succeeded.
Corpo
blobReference
BlobReference
obrigatório
Blob reference details.
blobUri
string
obrigatório
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obrigatório
ARM ID of the storage account to use.
credential
SasCredential
obrigatório
SAS Credential definition
sasUri
string
obrigatório
SAS uri
type
enum
obrigatório
Type of credential
Pedir
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json